Apologies if this is in the incorrect spot.

I'd like to try out the new compute shaders, and I'm trying to figure out if my card can handle it. It's a Radeon 7950 powercolor with the latest catalyst driver (13.9).

I was trying to find a demo program to test it out, and tried GLSL Hacker. In the log file it has this:

Code :
2013/11/17@12:16:01(0000000033) > Window main_window3d - demo created with an OpenGL 4.2 context.2013/11/17@12:16:01(0000000034) > Quick OpenGL information for window main_window3d:
2013/11/17@12:16:01(0000000035) > - # OpenGL extensions: 263
2013/11/17@12:16:01(0000000036) > - OpenGL renderer model: AMD Radeon HD 7900 Series
2013/11/17@12:16:01(0000000037) > - OpenGL renderer vendor: ATI Technologies Inc.
2013/11/17@12:16:01(0000000038) > - OpenGL API version: 4.2.12430 Compatibility Profile Context 13.152.1.8000
2013/11/17@12:16:01(0000000039) > - OpenGL shading language version: 4.30

It won't run the compute shaders, presumably because of the 4.2 context, even though GLSL is 4.3.

Does anyone know if this card can run those shaders? Whats the difference between API version and GLSL?